# Gerrit OpenShift Cartridge

This is an OpenShift cartridge for Gerrit 2.7.

After creation of your application, the Administrator account needs to
be configured.  This can be accomplished by following these steps:

1 - Log into the Gerrit web UI using an OpenID.  This will bring up
    an account creation page.

2 - Select a username to associate with your OpenID.  Be sure to
    click on the "Select Username" button to save the username.

3 - Add the SSH public key that was provided to you when you created
    your application.

4 - Click on "Continue" on the account creation page.  Your account
    is now the initial admin user that is allowed to use the Gerrit
    SSH interface.

5 - It is recommended that you create a separate admin user for use
    of the SSH interface that isn't tied to your OpenID.  To do this,
    run the following command using the username of the account you
    created above:

      $ rhc ssh <app_name> gerrit/setup-gerrit-admin <username>

6 - Access your user's setting page in the Gerrit web UI and remove the
    SSH key from your user account.  This ssh key is now associated with
    the "admin" user that was created in step 5.

At this point, your initial user is a member of the "Administrator's"
group, which allows you to run the normal administrative tasks through
the Gerrit web UI.

Gerrit SSH administrative access uses the "admin" account, and requires
access into your application within OpenShift since Gerrit's SSH
interface is not exposed outside of your application.  Gerrit SSH
commands can be run as follows:

  $ rhc ssh <app_name> gerrit/gerrit-ssh <command>

See the Gerrit documentation for details on the available commands.
